+   [数据科学 IPython 笔记本](docs/README.md)
+   [一、TensorFlow](docs/1.md)
+   [二、TensorFlow 练习](docs/2.md)
+   [三、Theano](docs/3.md)
+   [四、Keras](docs/4.md)
+   [五、scikit-learn](docs/5.md)
    +   [5.1 Python 机器学习简介](docs/skl01.md)
    +   [5.2 Python 中的科学计算工具](docs/skl02.md)
    +   [5.3 数据表示和可视化](docs/skl03.md)
    +   [5.4 训练和测试数据](docs/skl04.md)
    +   [5.5 监督学习第一部分：分类](docs/skl05.md)
    +   [5.6 监督学习第二部分：回归分析](docs/skl06.md)
    +   [5.7 无监督学习第一部分：变换](docs/skl07.md)
    +   [5.8 无监督学习第二部分：聚类](docs/skl08.md)
    +   [5.9 sklearn 估计器接口回顾](docs/skl09.md)
    +   [5.10 案例学习：泰坦尼克幸存者](docs/skl10.md)
    +   [5.11 文本特征提取](docs/skl11.md)
    +   [5.12 案例学习：用于 SMS 垃圾检测的文本分类](docs/skl12.md)
    +   [5.13 交叉验证和得分方法](docs/skl13.md)
    +   [5.14 参数选择、验证和测试](docs/skl14.md)
    +   [5.15 估计器流水线](docs/skl15.md)
    +   [5.16 模型评估、得分指标和处理不平衡类别](docs/skl16.md)
    +   [5.17 深入：线性模型](docs/skl17.md)
    +   [5.18 深入：决策树与森林](docs/skl18.md)
    +   [5.19 自动特征选择](docs/skl19.md)
    +   [5.20 无监督学习：层次和基于密度的聚类算法](docs/skl20.md)
    +   [5.21 无监督学习：非线性降维](docs/skl21.md)
    +   [5.22 无监督学习：异常检测](docs/skl22.md)
    +   [5.23 核外学习 - 用于语义分析的大规模文本分类](docs/skl23.md)
+   [六、SciPy 统计推断](docs/6.md)
+   [七、Pandas](docs/7.md)
    +   [7.1 Pandas](docs/7.1.md)
    +   [7.2 数据整理](docs/7.2.md)
    +   [7.3 Pandas 数据操作](docs/7.3.md)
    +   [7.4 Pandas 对象介绍](docs/7.4.md)
    +   [7.5 数据索引和选择](docs/7.5.md)
    +   [7.6 Pandas 中的数据操作](docs/7.6.md)
    +   [7.7 处理缺失数据](docs/7.7.md)
    +   [7.8 分层索引](docs/7.8.md)
    +   [7.9 组合数据集：连接和附加](docs/7.9.md)
    +   [7.10 组合数据集：合并和连接](docs/7.10.md)
    +   [7.11 聚合和分组](docs/7.11.md)
    +   [7.12 透视表](docs/7.12.md)
    +   [7.13 向量化字符串操作](docs/7.13.md)
    +   [7.14 处理时间序列](docs/7.14.md)
    +   [7.15 高性能 Pandas：`eval()`和`query()`](docs/7.15.md)
+   [八、Matplotlib](docs/8.md)
    +   [8.1 matplotlib](docs/8.1.md)
    +   [8.2 Matplotlib 的应用](docs/8.2.md)
    +   [8.3 Matplotlib 可视化](docs/8.3.md)
    +   [8.4 简单的折线图](docs/8.4.md)
    +   [8.5 简单的散点图](docs/8.5.md)
    +   [8.6 可视化误差](docs/8.6.md)
    +   [8.7 密度和等高线图](docs/8.7.md)
    +   [8.8 直方图，分箱和密度](docs/8.8.md)
    +   [8.9 自定义图例](docs/8.9.md)
    +   [8.10 自定义颜色条](docs/8.10.md)
    +   [8.11 多个子图](docs/8.11.md)
    +   [8.12 文本和注解](docs/8.12.md)
    +   [8.13 自定义刻度](docs/8.13.md)
    +   [8.14 自定义 Matplotlib：配置和样式表](docs/8.14.md)
    +   [8.15 Matplotlib 中的三维绘图](docs/8.15.md)
    +   [8.16 地理数据和 Basemap](docs/8.16.md)
    +   [8.17 使用 Seaborn 的可视化](docs/8.17.md)
+   [九、NumPy](docs/9.md)
    +   [9.1 NumPy](docs/9.1.md)
    +   [9.2 NumPy 简介](docs/9.2.md)
    +   [9.3 理解 Python 中的数据类型](docs/9.3.md)
    +   [9.4 NumPy 数组的基础](docs/9.4.md)
    +   [9.5 NumPy 数组上的计算：通用函数](docs/9.5.md)
    +   [9.6 聚合：最小、最大和之间的任何东西](docs/9.6.md)
    +   [9.7 数组上的计算：广播](docs/9.7.md)
    +   [9.8 比较，掩码和布尔逻辑](docs/9.8.md)
    +   [9.9 花式索引](docs/9.9.md)
    +   [9.10 数组排序](docs/9.10.md)
    +   [9.11 结构化数据：NumPy 的结构化数组](docs/9.11.md)
